Archive or unarchive a curriculum
Archive or unarchive a curriculum. Pass operation: archive or unarchive. Returns the updated curriculum row. Scoped to your integration’s institution via Basic Auth credentials.
PATCH
/curricula/{id}/archivePath parameters
idstringrequiredRequest body
requiredapplication/jsonoperationstringrequiredAllowed:
archiveunarchiveResponses
200Curriculum archived/unarchived
dataCurricularequiredShow propertiesHide properties
idstringrequirednamestringrequiredinstitutionIdstringrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredisCohortSpecificbooleanrequiredisArchivedboolean | nullcodestring | nullmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X PATCH "https://fuxam.app/api/v4/curricula/string/archive" \
-H "Content-Type: application/json" \
-d '{
"operation": "archive"
}'const response = await fetch("https://fuxam.app/api/v4/curricula/string/archive", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"operation": "archive"
})
});import requests
response = requests.patch(
"https://fuxam.app/api/v4/curricula/string/archive",
headers={
"Content-Type": "application/json"
},
json={
"operation": "archive"
},
)Response
{
"data": {
"id": "cur_001",
"name": "Bachelor CS 2024",
"institutionId": "inst_123",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-06-01T00:00:00.000Z",
"isCohortSpecific": false,
"isArchived": false,
"code": "CS-2024"
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}